Dash - Genre filter category in the Music Lens should use a 3 column layout

Bug #841902 reported by John Lea on 2011-09-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ayatana Design
Medium
John Lea
Music Lens
Low
Mirco Müller
Unity
Fix Released
Low
Mirco Müller
libunity
Fix Released
Low
Mirco Müller
unity-2d
Low
Lohith D Shivamurthy
libunity (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Low
Mirco Müller
unity-2d (Ubuntu)
Low
Unassigned
unity-lens-music (Ubuntu)
Undecided
Unassigned

Bug Description

Genre filter category in the Music Lens should use a 3 column layout.

See the visual designs in the following folder: https://chinstrap.canonical.com/~sabdfl/11_10/desktop_and_netbook/dash/music/

Related branches

John Lea (johnlea) on 2011-09-05
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
importance: Undecided → High
status: New → Fix Committed
tags: added: onew udo
John Lea (johnlea) on 2011-09-28
Changed in ayatana-design:
status: Fix Committed → Fix Released
John Lea (johnlea) on 2011-10-18
tags: added: udp
Changed in unity:
milestone: none → backlog
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in ayatana-design:
status: Fix Released → Fix Committed
John Lea (johnlea) on 2011-10-19
Changed in ayatana-design:
status: Fix Committed → Triaged
importance: High → Medium
Mirco Müller (macslow) on 2011-11-01
Changed in unity:
assignee: nobody → Mirco Müller (macslow)
John Lea (johnlea) on 2011-11-01
Changed in ayatana-design:
status: Triaged → Fix Committed
Mirco Müller (macslow) on 2011-11-01
Changed in unity:
importance: Undecided → Low
Mirco Müller (macslow) on 2012-01-03
Changed in unity:
status: Confirmed → In Progress
Omer Akram (om26er) on 2012-01-03
Changed in unity (Ubuntu):
importance: Undecided → Low
status: Confirmed → In Progress
assignee: nobody → Mirco Müller (macslow)
Omer Akram (om26er) on 2012-01-10
Changed in unity:
milestone: backlog → 5.0.0
Mirco Müller (macslow) on 2012-01-12
Changed in unity:
milestone: 5.0.0 → 5.2.0
Didier Roche (didrocks) on 2012-01-12
Changed in unity:
milestone: 5.2.0 → 5.0.0
Didier Roche (didrocks) on 2012-01-12
Changed in unity:
milestone: 5.0.0 → 5.2.0
Changed in unity:
status: In Progress → Fix Committed
Changed in libunity:
assignee: nobody → Mirco Müller (macslow)
importance: Undecided → Low
milestone: none → 5.0.2
status: New → Fix Committed
Changed in unity-lens-music:
assignee: nobody → Mirco Müller (macslow)
importance: Undecided → Low
milestone: none → 5.0.2
status: New → Fix Committed

Was informed on IRC that Tiago already was looking into supporting the new "filter-checkoption-compact" filter type for u2d

Changed in unity-2d:
assignee: nobody → Tiago Salem Herrmann (tiagosh)
status: New → In Progress
Gerry Boland (gerboland) wrote :

Correction: Lohith is working on it. (Sorry, Mikkel, my mistake)

Changed in unity-2d:
assignee: Tiago Salem Herrmann (tiagosh) → Lohith D Shivamurthy (dyams)
importance: Undecided → Low
Changed in unity-2d (Ubuntu):
status: New → In Progress
importance: Undecided → Low
Didier Roche (didrocks) on 2012-02-01
Changed in unity (Ubuntu):
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2012-02-01
Changed in unity-lens-music (Ubuntu):
status: New → Fix Committed
Didier Roche (didrocks) on 2012-02-01
Changed in libunity (Ubuntu):
status: New → Fix Committed
Didier Roche (didrocks) on 2012-02-03
Changed in libunity:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity-lens-music:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libunity - 5.2.0-0ubuntu1

---------------
libunity (5.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Dash: very high latency responding to input (LP: #828582)
    - Adding an option to the Sources filter from a remote Python scope
      doesn't work (LP: #916758)
    - Dash - Genre filter category in the Music Lens should use a 3 column
      layout (LP: #841902)
  * debian/control:
    - build with vala 0.14 and on python
  * debian/libunity9.symbols:
    - updated symbols
  * -
 -- Didier Roche <email address hidden> Fri, 03 Feb 2012 11:38:26 +0100

Changed in libunity (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package unity - 5.2.0-0ubuntu1

---------------
unity (5.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Unity needs a way to switch (tab) between windows on current workspace
      (LP: #863399)
    - compiz crashed with SIGSEGV in BamfLauncherIcon::NameForWindow()
      (LP: #865840)
    - Gradual degradation in desktop performance. (LP: #888039)
    - compiz (unity) crashes with SIGSEGV when a window is minimized.
      (LP: #918329)
    - FavoriteStore external change support (LP: #681503)
    - Launcher - Make Launcher left of screen reveal more responsive and less
      prone to false positives (LP: #765819)
    - Window auto-maximise functionality should be disabled on monitors with a
      resolution above 1024 x 600 (LP: #797808)
    - Dash: very high latency responding to input (LP: #828582)
    - Dash - Behaviour of the 'All' button in the Dash filters broken in
      several ways (LP: #841864)
    - alt-tab - The app title in the top left of the top bar should change as
      the alt-tab focus changes (LP: #855516)
    - Keyboard shortcut - Add keyboard shortcut hint overlay that is displayed
      when a user presses and holds the Super key (LP: #855532)
    - Unity crashes when started in an environment without utouch support
      (LP: #860707)
    - Dash - Remove Dash Home shortcut icons (LP: #885738)
    - Dash - Most Frequently Used apps change to Recently Used, without
      Launcher favorites (LP: #893214)
    - Should have a launcher on every monitor (LP: #915944)
    - Launcher autohide behaviour on multi-monitor (LP: #915946)
    - the unity wrapper should kill compiz before restarting it (LP: #919132)
    - Launcher - Implement workspace/launcher cross interactions (LP: #690143)
    - Application icons should only display windows from the current workspace
      in the window spread (LP: #689733)
    - Notification area ("system tray") missing when using dual monitors of
      different sizes, with their bottoms aligned (LP: #778256)
    - Clicking Nautilus launcher icon fails to open a Nautilus file explorer
      window when copying a file and all other Nautilus windows are closed /
      bamf should skip the taskbar (LP: #784804)
    - Dash - the search box is not aligned correctly relative to the Launcher
      BFB button (LP: #838904)
    - Dash - A expand/collapse arrow is missing from all the filter category
      headers (LP: #841870)
    - Dash - the filter buttons should not have a mouse over state
      (LP: #838901)
    - Dash - the "Filter results" text is the wrong size, wrong font weight,
      and aligned incorrectly in both the vertical and horizontal axis
      (LP: #863240)
    - Add SUPER+TAB switching mode that enables the user to switch
      applications via the Launcher (LP: #891620)
    - Software Centre - automatically add app icon to launcher (LP: #761851)
    - Compiz add transparency to titlebar along with the panel (LP: #912682)
    - The search box is too opaque and dark (LP: #913717)
    - Dash - Make statefulness of Dash Home and Dash Lenses consistent
      (LP: #914759)
    - Unity 5.0: "All" button for filters render as "..." (LP: #91...

Read more...

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-music - 5.2.0-0ubuntu1

---------------
unity-lens-music (5.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Dash - Remove Dash Home shortcut icons (LP: #885738)
    - Dash - Genre filter category in the Music Lens should use a 3 column
      layout (LP: #841902)
  * debian/control:
    - build with vala 0.14
    - build-dep on latest libunity-dev
 -- Didier Roche <email address hidden> Fri, 03 Feb 2012 11:33:57 +0100

Changed in unity-lens-music (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity-2d:
milestone: none → 5.4
Gerry Boland (gerboland) on 2012-02-14
Changed in unity-2d:
milestone: 5.4 → 5.6
Changed in unity-2d:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2012-03-05
Changed in unity-2d:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 5.6.0-0ubuntu1

---------------
unity-2d (5.6.0-0ubuntu1) precise; urgency=low

  * New upstream release
    - [dash] [hud] If no active window, shell processes crashes (LP: #944724)
    - Long delay on session logout (LP: #812104)
    - apps/docs are not launched when performing a search on the home lens
      (LP: #932092)
    - [unity-2d] FF exception to add HUD to Unity2d (LP: #942045)
    - There's a gap between the launcher and the upper panel (LP: #942031)
    - Dash - Genre filter category in the Music Lens should use a 3 column
      layout (LP: #841902)
    - selected lens arrow should be on top instead of bottom (LP: #932291)
    - [launcher] pixel-perfection fixes, new assets, tile & pip position,
      border line & context menu position (LP: #936881)
    - Workspace switcher icon should not generate background from icon
      (LP: #939586)
    - No glow assets still needed X Y Z (LP: #934059)
  * Revert an upstream commit to ensure that there is not regression with
    libunity-core 5.4 (change will be introduced again when unity 5.6 released)
 -- Didier Roche <email address hidden> Mon, 05 Mar 2012 09:52:30 +0100

Changed in unity-2d (Ubuntu):
status: In Progress → Fix Released
Nick Tait (jnick-tait) on 2012-04-26
Changed in ayatana-design:
status: Fix Committed → Fix Released
tags: added: reviewedbydesignp
removed: udo udp
Adolfo Jayme (fitojb) on 2014-01-11
no longer affects: libunity (Ubuntu Quantal)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers